cpw.mods.fml.common.network.handshake

## Class FMLHandshakeMessage.HandshakeAck

- java.lang.Object
- - cpw.mods.fml.common.network.handshake.FMLHandshakeMessage
  - - cpw.mods.fml.common.network.handshake.FMLHandshakeMessage.HandshakeAck

- Enclosing class:
    FMLHandshakeMessage

      public static class FMLHandshakeMessage.HandshakeAck
      extends FMLHandshakeMessage

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.network.handshake.FMLHandshakeMessage

      `FMLHandshakeMessage.ClientHello, FMLHandshakeMessage.HandshakeAck, FMLHandshakeMessage.ModIdData, FMLHandshakeMessage.ModList, FMLHandshakeMessage.ServerHello`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLHandshakeMessage.HandshakeAck()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromBytes(io.netty.buffer.ByteBuf buffer)`
    `void` | `toBytes(io.netty.buffer.ByteBuf buffer)`
    `java.lang.String` | `toString(java.lang.Class<? extends java.lang.Enum<?>> side)`

    - ### Methods inherited from class cpw.mods.fml.common.network.handshake.FMLHandshakeMessage

      `makeCustomChannelRegistration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLHandshakeMessage.HandshakeAck

          public FMLHandshakeMessage.HandshakeAck()

  - ### Method Detail

    - #### fromBytes

          public void fromBytes(io.netty.buffer.ByteBuf buffer)

      Overrides:
        `fromBytes` in class `FMLHandshakeMessage`

    - #### toBytes

          public void toBytes(io.netty.buffer.ByteBuf buffer)

      Overrides:
        `toBytes` in class `FMLHandshakeMessage`

    - #### toString

          public java.lang.String toString(java.lang.Class<? extends java.lang.Enum<?>> side)

      Overrides:
        `toString` in class `FMLHandshakeMessage`